/*-
 * ============LICENSE_START=======================================================
 * ONAP : APPC
 * ================================================================================
 * Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
 * ================================================================================
 * Copyright (C) 2017 Amdocs
 * =============================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * ECOMP is a trademark and service mark of AT&T Intellectual Property.
 * ============LICENSE_END=========================================================
 */

package org.onap.appc.artifact.handler.utils;

public class SdcArtifactHandlerConstants {

    public static final String DOCUMENT_PARAMETERS = "document-parameters";
    public static final String SERVICE_UUID  = "service-uuid";
    public static final String DISTRIBUTION_ID  = "distribution-id";
    public static final String REQUEST_ID = "request-id";
    public static final String REQUEST_ACTION = "request-action"; 
    public static final String SOURCE = "source";
    public static final String SERVICE_NAME = "service-name"; 
    public static final String SERVICE_DESCRIPTION ="service-description"; 
    public static final String SERVICE_ARTIFACTS = "service-artifacts"; 
    public static final String RESOURCE_UUID ="resource-uuid"; 
    public static final String RESOURCE_INSTANCE_NAME = "resource-instance-name";
    public static final String REOURCE_NAME = "resource-name";
    public static final String RESOURCE_VERSION ="resource-version";
    public static final String RESOURCE_TYPE= "resource-type"; 
    public static final String ARTIFACT_UUID ="artifact-uuid";
    public static final String ARTIFACT_NAME = "artifact-name"; 
    public static final String ARTIFACT_TYPE = "artifact-type"; 
    public static final String ARTIFACT_VERSION = "artifact-version";
    public static final String ARTIFACT_DESRIPTION = "artifact-description";
    public static final String ARTIFACT_CONTENTS = "artifact-contents";
    public static final String REQUEST_INFORMATION = "request-information";
    public static final String INTERNAL_VERSION = "internal-versoin";
    public static final String FILE_CATEGORY = "file-category";
    public static final String VNF_TYPE = "vnf-type";
    public static final String ACTION = "action";
    public static final String ACTION_LEVEL = "action-level";
    public static final String VNFC_TYPE = "vnfc-type";
    public static final String VM_INSTANCE = "vm-instance";
    public static final String VM = "vm";
    public static final String VNFC = "vnfc";
    public static final String VNFC_FUNCTION_CODE = "vnfc-function-code";
    public static final String VNFC_FUNCTION_CODE_LIST = "vnfc-function-code-list";
    public static final String GROUP_NOTATION = "group-notation";
    public static final String IPADDRESS_V4_OAM_VIP  = "ipaddress-v4-oam-vip";
    public static final String GROUP_NOTATION_TYPE  = "group-notation-type";
    public static final String GROUP_NOTATION_VALUE = "group-notation-value";
    public static final String TEMPLATE_ID = "template-id";
    public static final String REFERENCE = "reference";
    public static final String VNFC_INSTANCE = "vnfc-instance";
    public static final String DEVICE_PROTOCOL = "device-protocol";
    public static final String DG_RPC = "dg-rpc";
    public static final String MODULE = "module";
    public static final String USER_NAME = "user-name";
    public static final String PORT_NUMBER = "port-number";
    public static final String DOWNLOAD_DG_REFERENCE = "download-dg-reference";

    
    public static final String DB_DOWNLOAD_DG_REFERENCE = "DOWNLOAD_DG_REFERENCE";
    public static final String DB_SDC_REFERENCE = "ASDC_REFERENCE";
    public static final String DB_DEVICE_INTERFACE_PROTOCOL = "DEVICE_INTERFACE_PROTOCOL";
    public static final String DB_DEVICE_AUTHENTICATION = "DEVICE_AUTHENTICATION";
    public static final String DB_VNFC_REFERENCE = "VNFC_REFERENCE";
    public static final String DB_CONFIG_ACTION_DG = "CONFIGURE_ACTION_DG";
    public static final String PD = "pd";
    public static final String PARAMETER_YANG = "parameter_yang";
    public static final String TOSCA_MODEL = "tosca_model";
    public static final String DESIGN_TOOL = "Design-tool";
    public static final String ACTION_LEVEL_VNFC = "VNFC";
    public static final String ACTION_LEVEL_VF_MODULE ="VF-MODULE";
    public static final String ACTION_LEVEL_VNF = "VNF";
    public static final String ACTION_LEVEL_VM = "VM";
    public static final String CAPABILITY = "capability";
    public static final String TEMPLATE = "template";
    public static final String ARTIFACT_NAME_REFERENCE = "reference";
    public static final String ARTIFACT_NAME_CAPABILITY = "capability";
    public static final String APPC_CONFIG_DIR="/opt/appcauth";
    public static final String URL="url";
}

